Seed canvas Module
v.3.8.1
Usage

In order to use functions from the canvas module, you must first import it:

    canvas = imports.canvas;

External Documentation

The canvas module is actually an implementation of a subset of the HTML Canvas element. Many of the functions from Canvas directly translate into Seed, and you can use any Canvas documentation to help develop Seed canvas code. The drawing functions will not be redocumented here.

new CairoCanvas(cairo)
new PDFCanvas(filename, width, height)
new SVGCanvas(filename, width, height)
new ImageCanvas(filename, width, height)

Construct a Canvas with a particular output format. CairoCanvases are constructed given a cairo to draw to, while the others output to a file, and need to be given a size for the canvas.